curl --request GET \
--url https://api.syntage.com/datasources/mx/rpc/entidades/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/datasources/mx/rpc/entidades/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/datasources/mx/rpc/entidades/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"@context": "/contexts/RpcEntidade",
"@id": "/datasources/mx/rpc/entidades/99c13810-868f-482e-a6f1-878254248d27",
"@type": "RpcEntidade",
"id": "99c13810-868f-482e-a6f1-878254248d27",
"fme": "N-2000000000",
"nombreRazonSocial": "FOO BAR, S.A. DE C.V.",
"objetoSocial": "a) La operación, administración, comercialización...",
"duracionDeLaSociedad": "INDEFINIDA",
"domicilioSocial": "Zona Metropolitana ...",
"nacionalidad": "Mexicana",
"estatusFme": "Abierto",
"rfc": "PEIC211118IS0",
"tipoDePersona": "Moral",
"antecedenteRegistral": "<string>",
"regimenJuridico": "Sociedad Anónima",
"giro": "<string>",
"entidadFederativa": "Jalisco",
"municipio": "Guadalajara",
"oficinaRegistral": "Guadalajara",
"fechaDeInscripcion": "01/01/2017 12:00:00 T.CENTRO",
"curp": "<string>",
"lookupBy": "entity",
"actos": [
{
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"formaPrecodificada": "M0 - ...",
"acto": "<string>",
"nci": "<string>",
"fechaDeIngreso": "01/01/2017 12:00:00 T.CENTRO",
"fechaDeInscripcion": "01/01/2017 12:00:00 T.CENTRO",
"numeroDeDocumento": "<string>",
"modalidad": "<string>",
"data": {},
"file": {
"@id": "/files/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "File",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"type": "invoice.cfdi.xml",
"resource": "/invoices/7c45e9c6-8f7f-4d0e-b6e5-65fef6c8c2f9",
"mimeType": "text/xml",
"extension": "xml",
"size": 40544,
"filename": "6f3c5312-2849-4525-86f6-c48a54c64c60.xml",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
},
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
],
"socios": [
{
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"estatus": "Activo",
"nacionalidad": "Mexicana",
"nombre": "FOO BAR",
"apellidoPaterno": "<string>",
"apellidoMaterno": "<string>",
"rfc": "<string>",
"curp": "<string>",
"serie": "A",
"fechaDeConstitucion": "04/05/2016",
"fechaDeNacimiento": "<string>",
"acciones": "999",
"total": "19000.0",
"valor": "19000.0",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
],
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}{
"message": "<string>"
}{
"message": "<string>"
}Retrieve RPC entidade
Retrieve one RPC entidade by ID, including the company profile, related actos, and related socios extracted from Registro Publico de Comercio.
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Path Parameters
Response
RPC entidade resource response
Company record extracted from the Registro Publico de Comercio
RPC entidade IRI reference
"/datasources/mx/rpc/entidades/99c13810-868f-482e-a6f1-878254248d27"
RPC Entidade ID
"99c13810-868f-482e-a6f1-878254248d27"
Electronic commercial folio assigned by RPC
"N-2000000000"
Legal name reported by RPC
"FOO BAR, S.A. DE C.V."
Corporate purpose reported by RPC
"a) La operación, administración, comercialización..."
Company duration reported by RPC
"INDEFINIDA"
Registered social domicile
"Zona Metropolitana ..."
Company nationality reported by RPC
"Mexicana"
RPC folio status
"Abierto"
RFC reported by RPC
"PEIC211118IS0"
Type of person reported by RPC
"Moral"
Prior registry reference reported by RPC
Legal regime reported by RPC
"Sociedad Anónima"
Business activity reported by RPC
Mexican state where the registry record is held
"Jalisco"
Municipality where the registry record is held
"Guadalajara"
Registry office that holds the record
"Guadalajara"
Registration date reported by RPC
"01/01/2017 12:00:00 T.CENTRO"
CURP reported by RPC when present
Search source that produced the RPC entidade
entity, shareholder "entity"
Registry acts found for this RPC entidade
Show child attributes
Show child attributes
Shareholder or partner records found for this RPC entidade
Show child attributes
Show child attributes
Date and time the resource was created
"2020-01-01T12:15:00.000Z"
Date and time the resource was last updated
"2020-01-01T12:15:00.000Z"
Was this page helpful?